/*
 * Created on 03.11.2004
 *
 */
package sync;

/**
 * This is a class to test the implementation of buffers.
 * 
 * @author hvogt
 *  
 */
public class Test {

    public static void testSynchronous() {
        SyncPort port = new SyncPort();
        Sender sender = new Sender(port);
        Receiver receiver = new Receiver(port);
    }

    public static void testBuffer(IBuffer buff) {
        Sender sender = new Sender(buff.getInPort());
        Receiver receiver = new Receiver(buff.getOutPort());
    }

    public static void main(String[] args) {
        if (args[0].toLowerCase().equals("-sync")) {
            System.out.println("----- Testing synchronous -----");
            testSynchronous();
        } else if (args[0].toLowerCase().equals("-single")) {
            System.out.println("----- Testing SingleBuffer -----");
            testBuffer(new SingleBuffer());
        } else if (args[0].toLowerCase().equals("-cascaded")) {
            System.out.println("----- Testing CascadedBuffer -----");
            testBuffer(new CascadedBuffer());
        } else {
            System.out.println("Unknown parameter");
        }
    }
}